package model

import model2 "gas-cylinder-api/common/model"

type Address struct {
	model2.Model
	CustomerId string  `json:"customerId" gorm:"size:32;"`  // 客户id
	Name       string  `json:"name" gorm:"size:32;"`        // 收货人名称
	Phone      string  `json:"phone" gorm:"size:32;"`       // 联系电话
	City       string  `json:"city" gorm:"size:6;"`         // 所在地市
	Area       string  `json:"area" gorm:"size:6;"`         // 所属区/县
	Address    string  `json:"address" gorm:"size:128"`     // 详细地址
	Lng        float64 `json:"lng" gorm:"size:9;"`          // 经度
	Lat        float64 `json:"lat" gorm:"size:9;"`          // 纬度
	IsDefault  bool    `json:"isDefault" gorm:"size:128"`   // 默认
	AddressImg string  `json:"addressImg" gorm:"size:255;"` // 现场图片
	model2.ControlBy
	model2.ModelTime
}

func (Address) TableName() string {
	return "address"
}

func (e *Address) Generate() model2.ActiveRecord {
	o := *e
	return &o
}

func (e *Address) GetId() interface{} {
	return e.Id
}
