package model

import model2 "gas-cylinder-api/common/model"

type ProvFillCheck struct {
	OperationLogId  string  `json:"operationLogId" gorm:"size:36"`                 // 操作记录Id，要求唯一	气瓶充装前后检查操作记录id，要求唯一性
	StoreId         string  `json:"storeId" gorm:"size:36" swaggerignore:"true"`   // 所属单位（门市）	需要现在平台录入/接口平台上传后返回的对应id
	InnerCode       string  `json:"innerCode" gorm:"size:36" swaggerignore:"true"` // 气瓶唯一性编码，单位内编号
	DeadWeight      float64 `json:"deadWeight" gorm:"size:9"`                      // 气瓶自重（kg）
	Color           string  `json:"color" gorm:"size:10"`                          // 颜色
	Corrosion       int     `json:"corrosion" gorm:"size:4"`                       // 是否腐蚀	0-无 1-有
	Crackle         int     `json:"crackle" gorm:"size:4"`                         // 是否有裂纹	0-无 1-有
	Deform          int     `json:"deform" gorm:"size:4"`                          // 是否变形	0-无 1-有
	Damage          int     `json:"damage" gorm:"size:4"`                          // 是否有损伤	0-无 1-有
	SafeAnnex       int     `json:"safeAnnex" gorm:"size:4"`                       // 安全附件完好	0-完好 1-缺失
	GasPressure     int     `json:"gasPressure" gorm:"size:4"`                     // 余压正常(或抽真空)	0-正常 1-不正常
	PipePressure    float64 `json:"pipePressure" gorm:"size:9"`                    // 充装管道压力(MPa)
	BodyDeform      int     `json:"bodyDeform" gorm:"size:4"`                      // 瓶体有无变形	0-无 1-有
	FillingLeak     int     `json:"fillingLeak" gorm:"size:4"`                     // 充装过程有无泄漏	0-无 1-有
	BodyTemperature int     `json:"bodyTemperature" gorm:"size:4"`                 // 瓶体温度正常	0-正常 1-不正常
	FillWeight      float64 `json:"fillWeight" gorm:"size:9"`                      // 充装重量(kg)
	RepeatWeight    float64 `json:"repeatWeight" gorm:"size:9"`                    // 复秤重量(kg)
	FilledLeak      int     `json:"filledLeak" gorm:"size:4"`                      // 充装后有无泄漏	0-无 1-有
	WarnSign        int     `json:"warnSign" gorm:"size:4"`                        // 警示标志完好	0-完好 1-缺失
	FillLabel       int     `json:"fillLabel" gorm:"size:4"`                       // 充装标签完好	0-完好 1-缺失
	Seal            int     `json:"seal" gorm:"size:4"`                            // 封口完好	0-完好 1-缺失
	CreatorId       string  `json:"creatorId" gorm:"size:36" swaggerignore:"true"` // 创建人员id	需要现在平台录入/接口平台上传后返回的对应id
}
type FillCheck struct {
	model2.Model
	ProvFillCheck
	UserId int         `json:"userId" gorm:"size:36"  swaggerignore:"true"` // 创建人员id
	User   SysUserOmit `json:"user" gorm:"->;"`
	model2.ControlBy
	model2.ModelTime
	model2.DeptBy
}

func (FillCheck) TableName() string {
	return "fill_check"
}
func (f FillCheck) GenProvFillCheck() (p ProvFillCheck) {
	p.OperationLogId = f.OperationLogId
	p.StoreId = f.StoreId
	p.InnerCode = f.InnerCode
	p.DeadWeight = f.DeadWeight
	p.Color = f.Color
	p.Corrosion = f.Corrosion
	p.Crackle = f.Crackle
	p.Deform = f.Deform
	p.Damage = f.Damage
	p.SafeAnnex = f.SafeAnnex
	p.GasPressure = f.GasPressure
	p.PipePressure = f.PipePressure
	p.BodyDeform = f.BodyDeform
	p.FillingLeak = f.FillingLeak
	p.BodyTemperature = f.BodyTemperature
	p.FillWeight = f.FillWeight
	p.RepeatWeight = f.RepeatWeight
	p.FilledLeak = f.FilledLeak
	p.WarnSign = f.WarnSign
	p.FillLabel = f.FillLabel
	p.Seal = f.Seal
	p.CreatorId = f.CreatorId
	return
}
