package model

import model2 "gas-cylinder-api/common/model"

var (
	GasCylinderStatusWeighty     = "1" // 重瓶区
	GasCylinderStatusEmpty       = "2" // 空瓶区
	GasCylinderStatusUnqualified = "3" // 不合格瓶区
	//报废(scrap）超期(extended)
	GasCylinderStatusScrap = "scrap" // 报废瓶区

	GasCylinderStatusExtended = "extended" // 超期瓶区

	GasCylinderStatusStateMap = map[string]string{
		GasCylinderStatusWeighty:     "重瓶区",
		GasCylinderStatusEmpty:       "空瓶区",
		GasCylinderStatusUnqualified: "不合格瓶区",
		GasCylinderStatusScrap:       "报废瓶区",
		GasCylinderStatusExtended:    "超期瓶区",
	}

	GasCylinderStatusState2Map = map[string]string{
		GasCylinderStatusWeighty:     "重瓶",
		GasCylinderStatusEmpty:       "空瓶",
		GasCylinderStatusUnqualified: "不合格瓶",
		GasCylinderStatusScrap:       "报废瓶",
		GasCylinderStatusExtended:    "超期瓶",
	}
)

// 气瓶状态
type GasCylinderStatus struct {
	model2.Model
	InnerCode string      `json:"inner_code"`                // 1单位内编号
	Status    string      `json:"status" gorm:"size:48;"`    // 1-重瓶区 2-空瓶区 3-不合格瓶区
	UserId    int         `json:"userId" gorm:"size:48;"`    // 省平台用户id 司机 送气员
	CompanyId int         `json:"companyId" gorm:"size:48;"` // 所属公司id
	IsAllot   bool        `json:"isAllot" gorm:"size:48;"`   // true 调拨中
	User      SysUserOmit `json:"user"  gorm:"foreignkey:UserId;references:Id"`
	Company   SysDeptOmit `json:"company" gorm:"->;foreignkey:CompanyId;references:Id"`
	model2.ControlBy
	model2.ModelTime
	model2.DeptBy
}

func (GasCylinderStatus) TableName() string {
	return "gas_cylinder_status"
}
