package model

import model2 "gas-cylinder-api/common/model"

type ProvOperationLog struct {
	InnerCode          string `json:"innerCode" gorm:"size:36" vd:"len($)>0"` //气瓶唯一性编码，单位内编号
	OptType            string `json:"optType" gorm:"size:48"`                 //气瓶流转步骤
	OptTime            string `json:"optTime" gorm:"size:"`                   //操作时间
	OptUser            string `json:"optUser" gorm:"size:36"`                 //操作人
	Lng                string `json:"lng" gorm:"size:9"`                      //经度
	Lat                string `json:"lat" gorm:"size:9"`                      //纬度
	ObjectUser         string `json:"objectUser" gorm:"size:36"`              //交互工作人员ID
	ObjectCustomer     string `json:"objectCustomer" gorm:"size:36"`          //交互客户ID
	OptCustomer        string `json:"optCustomer" gorm:"size:36"`             //操作客户ID
	CompanyId          string `json:"companyId" gorm:"size:36"`               //企业ID
	CurrentEnterprise  string `json:"currentEnterprise" gorm:"size:36"`       //当前企业ID
	CurrentStation     string `json:"currentStation" gorm:"size:36"`          //当前气站ID
	CurrentInstitution string `json:"currentInstitution" gorm:"size:36"`      //当前检验ID
	CurrentStore       string `json:"currentStore" gorm:"size:36"`            //当前门店ID
	CurrentTruck       string `json:"currentTruck" gorm:"size:36"`            //当前司机ID
	CurrentMotor       string `json:"currentMotor" gorm:"size:36"`            //当前车辆ID
	CurrentAddress     string `json:"currentAddress" gorm:"size:36"`          //当前客户ID
}

type OperationLog struct {
	model2.Model
	ProvOperationLog
	State                int          `json:"state" gorm:"size:36;default:1"` // 1 - 新循环 2-已完成
	BatchNumber          string       `json:"batchNumber" gorm:"size:36"`     // 批号
	OptUserObj           SysUserOmit  `json:"optUserObj" gorm:"->;foreignkey:OptUser;references:ProvUserId"`
	ObjectUserObj        SysUserOmit  `json:"objectUserObj" gorm:"->;foreignkey:ObjectUser;references:ProvUserId"`
	ObjectCustomerObj    CustomerOmit `json:"objectCustomerObj" gorm:"->;foreignkey:ObjectCustomer;references:Id"`
	OptCustomerObj       CustomerOmit `json:"optCustomerObj" gorm:"->;foreignkey:OptCustomer;references:Id"`
	CompanyObj           SysDeptOmit  `json:"companyObj"  gorm:"->;foreignkey:CompanyId;references:CmpCode"`
	CurrentEnterpriseObj SysDeptOmit  `json:"currentEnterpriseObj"  gorm:"->;foreignkey:CurrentEnterprise;references:CmpCode"`
	CurrentStationObj    SysDeptOmit  `json:"currentStationObj"  gorm:"->;foreignkey:CurrentStation;references:CmpCode"`
	CurrentStoreObj      SysDeptOmit  `json:"currentStoreObj"  gorm:"->;foreignkey:CurrentStore;references:CmpCode"`
	CurrentTruckObj      SysUserOmit  `json:"currentTruckObj" gorm:"->;foreignkey:CurrentTruck;references:ProvUserId"`
	CurrentAddressObj    CustomerOmit `json:"currentAddressObj" gorm:"->;foreignkey:CurrentAddress;references:Id"`
	model2.ControlBy
	model2.ModelTime
	model2.DeptBy
}

func (OperationLog) TableName() string {
	return "operation_log"
}
func (f OperationLog) GenProvOperationLog() (p ProvOperationLog) {
	p.InnerCode = f.InnerCode
	p.OptType = f.OptType
	p.OptTime = f.OptTime
	p.OptUser = f.OptUser
	p.Lng = f.Lng
	p.Lat = f.Lat
	p.ObjectUser = f.ObjectUser
	p.ObjectCustomer = f.ObjectCustomer
	p.OptCustomer = f.OptCustomer
	p.CompanyId = f.CompanyId
	p.CurrentEnterprise = f.CurrentEnterprise
	p.CurrentStation = f.CurrentStation
	p.CurrentInstitution = f.CurrentInstitution
	p.CurrentStore = f.CurrentStore
	p.CurrentTruck = f.CurrentTruck
	p.CurrentMotor = f.CurrentMotor
	p.CurrentAddress = f.CurrentAddress
	return
}
