package model

import (
	model2 "gas-cylinder-api/common/model"
)

// 省平台上报实时充装数据
type ProvRealFillData struct {
	OrgHex      string `json:"orgHex" gorm:"size:128"`      // 源码字符串
	GunCode     string `json:"gunCode" gorm:"size:14"`      // 枪编码
	PersonFlag  int    `json:"personFlag" gorm:"size:4"`    // 是否绑定充装人员 是
	ChipFlag    int    `json:"chipFlag" gorm:"size:4"`      // 是否读到气瓶标签 是
	OpenStatus  int    `json:"openStatus" gorm:"size:4"`    // 枪开关状态 暂时获取不到
	PersonCode  string `json:"personCode" gorm:"size:36"`   // 充装人员编码
	ChipContent string `json:"chipContent" gorm:"size:200"` // 标签内容编码
	ChipID      string `json:"chipID" gorm:"size:14"`       // 标签ID
}
type RealFillData struct {
	model2.Model
	ProvRealFillData
	FillGun FillGun `json:"fillGun" gorm:"->;foreignkey:GunCode;references:GunCode"`
	model2.ControlBy
	model2.ModelTime
	model2.DeptBy
}

func (RealFillData) TableName() string {
	return "real_fill_data"
}

func (i RealFillData) GenProvRealFillData() (p ProvRealFillData) {
	p.OrgHex = i.OrgHex
	p.GunCode = i.GunCode
	p.PersonFlag = i.PersonFlag
	p.ChipFlag = i.ChipFlag
	p.OpenStatus = i.OpenStatus
	p.PersonCode = i.PersonCode
	p.ChipContent = i.ChipContent
	p.ChipID = i.ChipID
	return
}
