package router

import (
	"gas-cylinder-api/app/admin/controller"
	"gas-cylinder-api/common/actions"
	"github.com/gin-gonic/gin"
	jwt "gogs.baozhida.cn/zoie/OAuth-core/pkg/jwtauth"
)

func init() {
	routerCheckRole = append(routerCheckRole, registerInspectExpandRouter)
}

// 需认证的路由代码
func registerInspectExpandRouter(v1 *gin.RouterGroup, authMiddleware *jwt.GinJWTMiddleware) {
	cont := controller.InspectExpandController{}
	r := v1.Group("/inspect-expand").Use(authMiddleware.MiddlewareFunc()).Use(actions.PermissionAction())
	{
		r.GET("", cont.GetPage)
		r.POST("", cont.Insert)
		r.PUT("", cont.Update)
		r.DELETE("", cont.Delete)
		r.POST("/sync-store", cont.SyncStore)
	}
}
