package router

import (
	"gas-cylinder-api/app/admin/controller"
	"gas-cylinder-api/common/actions"
	"github.com/gin-gonic/gin"
	jwt "gogs.baozhida.cn/zoie/OAuth-core/pkg/jwtauth"
)

func init() {
	routerCheckRole = append(routerCheckRole, registerOperationLogRouter)
	routerNoCheckRole = append(routerNoCheckRole, registerOperationLogRouter2)

}

// 需认证的路由代码
func registerOperationLogRouter(v1 *gin.RouterGroup, authMiddleware *jwt.GinJWTMiddleware) {
	cont := controller.OperationLogController{}
	r := v1.Group("/operation-log").Use(authMiddleware.MiddlewareFunc()).Use(actions.PermissionAction())
	{
		r.GET("", cont.GetPage)
		r.GET("/:id", cont.Get)
		r.POST("", cont.Insert)
		r.POST("/check", cont.Check)
		//r.PUT("", cont.Update)
		//r.DELETE("", cont.Delete)
	}
}

// 需认证的路由代码
func registerOperationLogRouter2(v1 *gin.RouterGroup) {
	cont := controller.OperationLogController{}
	r := v1.Group("/operation-log")
	{
		r.POST("/gas-station", cont.InsertForGasStation)
	}
}
