package router

import (
	"gas-cylinder-api/common/actions"
	"gas-cylinder-api/common/middleware"
	"github.com/gin-gonic/gin"

	"gas-cylinder-api/app/admin/controller"
	jwt "gogs.baozhida.cn/zoie/OAuth-core/pkg/jwtauth"
)

func init() {
	routerCheckRole = append(routerCheckRole, registerSysUserRouter)
	routerNoCheckRole = append(routerNoCheckRole, registerSysUserRouter2)

}

// 需认证的路由代码
func registerSysUserRouter(v1 *gin.RouterGroup, authMiddleware *jwt.GinJWTMiddleware) {
	cont := controller.SysUser{}
	r := v1.Group("/sys-user").Use(authMiddleware.MiddlewareFunc()).Use(actions.PermissionAction())
	{
		r.GET("", cont.GetPage)
		r.GET("/delivery", cont.GetDeliveryPage)
		r.GET("/opt-type", cont.GetPageByOptType)
		r.GET("/:id", cont.Get)
		r.POST("", cont.Insert)
		r.PUT("", cont.Update)
		r.DELETE("", cont.Delete)
	}

	user := v1.Group("/user").Use(authMiddleware.MiddlewareFunc()).Use(actions.PermissionAction())
	{
		user.GET("/profile", cont.GetProfile)
		user.GET("/info", cont.GetInfo)
		user.PUT("/status", cont.UpdateStatus)
		user.PUT("/pwd/set", cont.UpdatePwd)
		user.PUT("/pwd/reset", cont.ResetPwd)
		user.GET("/home", cont.Home)

	}

	r3 := v1.Group("/newest-token").Use(middleware.AuthCheckService())
	{
		r3.GET("/:userId", cont.GetNewestToken)
	}

}
func registerSysUserRouter2(v1 *gin.RouterGroup) {
	cont := controller.SysUser{}

	r2 := v1.Group("")
	{
		r2.GET("/verify-code", cont.VerifyCode)
	}

}
