package dto

import (
	"gas-cylinder-api/app/admin/model"
	"gas-cylinder-api/common/dto"
	common "gas-cylinder-api/common/model"
)

type FillCheckGetPageReq struct {
	dto.Pagination `search:"-"`
	InnerCode      string `form:"innerCode" search:"type:contains;column:inner_code;table:fill_check"` //
	FillCheckOrder
}
type FillCheckOrder struct {
	CreatedAtOrder string `search:"type:order;column:created_at;table:fill_check" form:"createdAtOrder" default:"desc"`
}

func (m *FillCheckGetPageReq) GetNeedSearch() interface{} {
	return *m
}

type FillCheckInsertReq struct {
	Id     int `json:"id" comment:"编码" swaggerignore:"true"` // 编码
	UserId int `swaggerignore:"true"`                        // 用户id
	//ChipUid string `json:"chipUid" vd:"len($)>0;msg:'高频编码不能为空'"` // 高频编码
	model.ProvFillCheck
	common.ControlBy `swaggerignore:"true"`
	common.DeptBy    `swaggerignore:"true"`
}

func (s *FillCheckInsertReq) Generate(model *model.FillCheck) {
	if s.Id != 0 {
		model.Id = s.Id
	}
	model.UserId = s.UserId
	model.ProvFillCheck = s.ProvFillCheck
	if s.ControlBy.UpdateBy != 0 {
		model.UpdateBy = s.UpdateBy
	}
	if s.ControlBy.CreateBy != 0 {
		model.CreateBy = s.CreateBy
	}
	if s.DeptBy.DeptId != 0 {
		model.DeptId = s.DeptId
	}
}

func (s *FillCheckInsertReq) GetId() interface{} {
	return s.Id
}

type FillCheckGetReq struct {
	Id int `uri:"id"`
}

func (s *FillCheckGetReq) GetId() interface{} {
	return s.Id
}
