package dto

import (
	"gas-cylinder-api/common/dto"
	common "gas-cylinder-api/common/model"
)

type FillDataGetPageReq struct {
	dto.Pagination `search:"-"`
	StationId      string `form:"stationId" search:"type:contains;column:station_id;table:fill_data"` // 气站id
	UserId         string `form:"userId" search:"type:contains;column:user_id;table:fill_data"`       // 充装人员id
	InnerCode      string `form:"innerCode" search:"-"`                                               // 气瓶单位内编码
	ChipId         string `form:"chipId" search:"-"`                                                  // 高频编码
	StartFillTime  string `form:"startFillTime" search:"-"`                                           // 充装开始时间
	EndFillTime    string `form:"endFillTime" search:"-"`                                             // 充装结束时间
	FillDataOrder
}
type FillDataOrder struct {
	CreatedAtOrder string `search:"type:order;column:created_at;table:fill_data" form:"createdAtOrder" default:"desc"`
}

func (m *FillDataGetPageReq) GetNeedSearch() interface{} {
	return *m
}

type FillDataInsertReq struct {
	Id               int    `json:"id" comment:"编码" swaggerignore:"true"` // 编码
	ScanGunCode      string `json:"scanGunCode"`                          // 扫码枪编码
	ChipUid          string `json:"chipUid" vd:"len($)>0;msg:'高频编码不能为空'"` // 高频编码
	common.ControlBy `swaggerignore:"true"`
	common.DeptBy    `swaggerignore:"true"`
}

// GetId 获取数据对应的ID
func (s *FillDataInsertReq) GetId() interface{} {
	return s.Id
}
