package service

import (
	"gas-cylinder-api/app/admin/model"
	"gas-cylinder-api/app/admin/service/dto"
	"gas-cylinder-api/common/actions"
	cDto "gas-cylinder-api/common/dto"
	"gas-cylinder-api/common/global"
	"gogs.baozhida.cn/zoie/OAuth-core/service"
)

type RealFillData struct {
	service.Service
}

// GetPage 获取RealFillData列表
func (e *RealFillData) GetPage(c *dto.RealFillDataGetPageReq, list *[]model.RealFillData, count *int64, p *actions.DataPermission) error {
	var err error
	var data model.RealFillData

	err = e.Orm.Model(&data).
		Scopes(
			cDto.MakeCondition(c.GetNeedSearch()),
			cDto.Paginate(c.GetPageSize(), c.GetPageIndex()),
			actions.Permission(data.TableName(), p),
		).Preload("FillGun").
		Find(list).Limit(-1).Offset(-1).
		Count(count).Error
	if err != nil {
		e.Log.Errorf("db error: %s", err)
		return global.GetFailedErr
	}
	return nil
}

// Insert 创建RealFillData对象
func (e *RealFillData) Insert(c *dto.RealFillDataInsertReq, fillGun model.FillGun) error {
	var err error
	// TODO 确定状态 PersonFlag ChipFlag OpenStatus
	data := model.RealFillData{
		ProvRealFillData: model.ProvRealFillData{
			GunCode: fillGun.GunCode,
			//PersonFlag:1,
			//ChipFlag:1,
			//OpenStatus:1,
			PersonCode: fillGun.PersonCode,
			ChipID:     c.ChipID,
		},
	}
	data.SetDeptId(fillGun.DeptId)

	tx := e.Orm.Begin()
	defer func() {
		if err != nil {
			tx.Rollback()
		} else {
			tx.Commit()
		}
	}()

	// TODO 上传省平台 1.1.1.23上报实时充装数据
	// TODO 异常码处理
	err = tx.Create(&data).Error
	if err != nil {
		e.Log.Errorf("db error: %s", err)
		return global.UpdateFailedErr
	}

	c.Id = data.Id

	return nil

}
