package global

// 判断a列表是否包含b列表
func ContainsAllOptimized[T comparable](a, b []T) bool {
	m := make(map[T]bool)
	for _, valA := range a {
		m[valA] = true
	}
	for _, valB := range b {
		if !m[valB] {
			return false
		}
	}
	return true
}
